@import './variables';
@import './typography';

.cs-list-heading {
  display: flex;
  flex-direction: column;
  padding: 0 5rem;
  background: linear-gradient(to bottom, var(--eui-c-primary-bg), var(--eui-c-white));

  &-header {
    margin: var(--eui-s-3xl) 0 var(--eui-s-m) 0;
    color: var(--eui-c-primary) !important;
    font-weight: 700 !important;
  }

  &-description {
    max-width: 70%;
    margin-bottom: var(--eui-s-m);
  }

  &-button {
    margin: var(--eui-s-m) 0;

    &-link {
      background-color: var(--eui-c-primary-bg-light) !important;
    }

    &-link:hover {
      background-color: var(--eui-c-primary) !important;
    }
  }
}

.cs-list-filter {
  padding: var(--eui-s-3xl) 0 var(--eui-s-m) 0;
}

.cs-list-wrapper {
  padding: 0 5rem 5rem 5rem;
}

@media (max-width: $deviceSizeS) {
  .cs-list-heading,
  .cs-list-wrapper {
    padding: 0 var(--eui-s-s);
  }

  .eui-table--responsive {
    max-width: calc(100vw - var(--eui-s-s) * 2);

    tbody {
      max-width: calc(100vw - var(--eui-s-s) * 2);

      td {
        overflow: auto;
        width: 100%;
        padding-left: var(--eui-s-xs) !important;
      }
    }
  }
}
